// 数据源

import http from '@/utils/request'

// 数据源列表
export function getDatasourceList (data) {
  return http.post('/datasource/list', data)
}

// 数据源 保存
export function saveDatasource (data) {
  return http.post('/datasource/save', data)
}
// 数据源 连接测试
export function datasourceConnectTest (data) {
  return http.post('/datasource/conntest', data)
}
// 数据源 连接测试
export function datasourceValid (data) {
  return http.post('/datasource/valid', data)
}
// 数据源 快捷解析
export function datasourceParse (data) {
  return http.post('/datasource/parse', data)
}
// 数据源 快捷解析
export function deleteDatasource (data) {
  return http.post('/datasource/delete', data)
}

// 非结构化数据源 名片解析
export function businessCardParse (data) {
  return http.upload('/parse/business-card-parse', data)
}

// 非结构化数据源 更新名片
export function updateBusinessCard (data, id) {
  return http.put(`/parse/business-cards/${id}`, data)
}

// 非结构化数据源 获取名片列表
export function getBusinessCard (data) {
  return http.get('/parse/get-business-cards', data)
}

// 非结构化数据源 更新名片状态
export function updateBusinessCardStatus (data, id) {
  return http.put(`/parse/update-business-cards/${id}/status`, data)
}

// 非结构化数据源 获取名片图片
export function getBusinessCardImage (path) {
  return http.getDownload(`/parse/business-cards/image/${path}`)
  // return http.download(`/parse/business-cards/image/${path}`, undefined, 'get')
}
